Bug 607899 - xterm with certain fonts + intel gfx + desktop effects
xterm with certain fonts + intel gfx + desktop effects
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xtrans-devel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 02:42 EDT by Maciej Żenczykowski
Modified: 2018-04-11 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 01:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of distortion. (735.77 KB, image/png)
2010-06-27 17:25 EDT, Maciej Żenczykowski
no flags Details
dmesg output (122.38 KB, text/plain)
2010-06-27 17:33 EDT, Maciej Żenczykowski
no flags Details
/var/log/messages (59.05 KB, text/plain)
2010-06-27 17:34 EDT, Maciej Żenczykowski
no flags Details
X server log (135.90 KB, text/plain)
2010-06-27 17:35 EDT, Maciej Żenczykowski
no flags Details

  None (edit)
Description Maciej Żenczykowski 2010-06-25 02:42:20 EDT
Shows some weird distortion issues.

However they all disappear as soon as you start dragging the window.
It seems as if there are some off-by-one-or-two scaling issues.
I think the not-in-the-progress of being dragged window is being display maybe 1-3 pixels too narrow and too short. Bitmaps (ie. character glyphs) sent to the Xterms display also end up 1 pixel of target.  Eventually these errors add up.

I'm not sure if this is an xterm issue, I'm actually leading more towards thinking it's either X or intel gfx driver or the kernel.  However it does seem to be unique to Xterm (AFAICS).

[maze@zeus ~]$ lspci -nn | egrep -i graphics
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 02)
00:02.1 Display controller [0380]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c3] (rev 02)

This problem was not present in Fedora 12.
Comment 1 Matěj Cepl 2010-06-25 18:05:50 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command,
* screenshot (or photography) of the distortion, and 
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Maciej Żenczykowski 2010-06-27 17:25:03 EDT
Created attachment 427266 [details]
Screenshot of distortion.

Commencing data collection.

I've rebooted into a new kernel (newest from koji for fc13) with the drm.debug flag.

Please find attached a screenshot of Xterm corruption.
You will note that both xterms are 'missing' two horizontal lines of pixels (at about 25% and 75% of their height) and two vertical columns of pixels (at about 25% and 75% of their width).  [the missing horizontal lines are very visible when you take a look at the right window's scroll bar - the pattern skips]

The distortion of the characters is actually caused by the block cursor.  The cursor block gets drawn in a slightly different location then the location from which it is deleted - hence the left over columns of pixels (leftover rows do also show up if all you do is press enter to move the cursor down).

[The distortion only show up on the first letter if I paste in a long string of 'z's - so it is clearly caused by the cursor, but the root cause is those missing pixel rows/columns]

As I've mentioned before as soon as you start dragging the window, the window seems to get slightly bigger (ie. +2 rows, +2 columns at a visual guess) and the distortion disappears.  When you release the drag - it comes back (although now it's redrawn so the cursor caused distortion has vanished, but the rows/columns are still missing and if you type more distortion shows up during use).
Comment 3 Maciej Żenczykowski 2010-06-27 17:26:30 EDT
[root@zeus ~]# uname -a
Linux zeus.lan 2.6.33.5-136.fc13.x86_64 #1 SMP Fri Jun 25 06:55:28 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

[root@zeus ~]# cat /proc/cmdline 
ro root=LABEL=ZEUS:ROOT acpi_enforce_resources=lax SYSFONT=latarcyrheb-sun16 LANG=en_US.utf8 KEYTABLE=us drm.debug=0x04

[root@zeus ~]# find /etc/X11/xorg.conf*
/etc/X11/xorg.conf.d
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf
/etc/X11/xorg.conf-mz

[root@zeus ~]# cat /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf 
# This file is autogenerated by system-setup-keyboard. Any 
# modifications will be lost.

Section "InputClass"
        Identifier      "system-setup-keyboard"
        MatchIsKeyboard "on"
#       Option          "XkbModel"      "(null)"
#       Option          "XkbLayout"     "(null)"
#       Option          "XkbVariant"    "(null)"
        Option          "XkbOptions"    "terminate:ctrl_alt_bksp,"
EndSection

I'm guessing this means there is no xorg.conf file.
Comment 4 Maciej Żenczykowski 2010-06-27 17:33:33 EDT
Created attachment 427269 [details]
dmesg output

Hmm, I don't see how to submit more than one attachment per message.
Comment 5 Maciej Żenczykowski 2010-06-27 17:34:28 EDT
Created attachment 427270 [details]
/var/log/messages

I stripped out the ntp (ntpd/ntpdate) messages since they contained IPs.
Comment 6 Maciej Żenczykowski 2010-06-27 17:35:16 EDT
Created attachment 427271 [details]
X server log

I believe this is all that was requested.
Comment 7 Maciej Żenczykowski 2010-08-26 15:03:43 EDT
Still very much a problem with latest updates for Fedora 13, including a 2.6.34.5-44.fc13.x86_64 kernel from koji.

Please note that this is a regression compared to Fedora 12, which just worked.
Comment 8 Bug Zapper 2011-06-01 11:38:07 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Maciej Żenczykowski 2011-06-02 01:43:04 EDT
Appears to work OK in current Fedora 14.

Note You need to log in before you can comment on or make changes to this bug.